# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

from aliyunsdkcore.request import RpcRequest
import json

class BlockObjectRequest(RpcRequest):

	def __init__(self):
		RpcRequest.__init__(self, 'ESA', '2024-09-10', 'BlockObject')
		self.set_protocol_type('https')
		self.set_method('POST')

	def get_Extension(self): # String
		return self.get_query_params().get('Extension')

	def set_Extension(self, Extension):  # String
		self.add_query_param('Extension', Extension)
	def get_Maxage(self): # Integer
		return self.get_query_params().get('Maxage')

	def set_Maxage(self, Maxage):  # Integer
		self.add_query_param('Maxage', Maxage)
	def get_SiteId(self): # Long
		return self.get_query_params().get('SiteId')

	def set_SiteId(self, SiteId):  # Long
		self.add_query_param('SiteId', SiteId)
	def get_Type(self): # String
		return self.get_query_params().get('Type')

	def set_Type(self, Type):  # String
		self.add_query_param('Type', Type)
	def get_Content(self): # Array
		return self.get_query_params().get('Content')

	def set_Content(self, Content):  # Array
		self.add_query_param("Content", json.dumps(Content))
